Bug 457958 - Backport NetXen nic driver from upstream kernel to RHEL5.3
Backport NetXen nic driver from upstream kernel to RHEL5.3
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
medium Severity high
: rc
: ---
Assigned To: Tony Camuso
Martin Jenner
: OtherQA, Reopened
: 249580 475599 (view as bug list)
Depends On:
Blocks: 436874 447490 461868 462324
  Show dependency treegraph
 
Reported: 2008-08-05 15:07 EDT by Dhananjay Phadke
Modified: 2009-06-20 01:08 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 485381 (view as bug list)
Environment:
Last Closed: 2009-01-20 15:19:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch 1 of 4 to support the backporting to support Firmware 4.0.xxx and chip revision >= 0x41 (54.65 KB, patch)
2008-08-05 15:12 EDT, Dhananjay Phadke
no flags Details | Diff
Patch 2 of 4 to support the backporting to support Firmware 4.0.xxx and chip revision >= 0x41 (26.79 KB, patch)
2008-08-05 15:13 EDT, Dhananjay Phadke
no flags Details | Diff
Patch 3 of 4 to support the backporting to support Firmware 4.0.xxx and chip revision >= 0x41 (251.16 KB, patch)
2008-08-05 15:14 EDT, Dhananjay Phadke
no flags Details | Diff
Patch 4 of 4 to support the backporting to support Firmware 4.0.xxx and chip revision >= 0x41 (32.79 KB, patch)
2008-08-05 15:16 EDT, Dhananjay Phadke
no flags Details | Diff
Patch 1 (26.79 KB, patch)
2008-08-08 17:25 EDT, Dhananjay Phadke
no flags Details | Diff
Patch 2 (251.16 KB, patch)
2008-08-08 17:26 EDT, Dhananjay Phadke
no flags Details | Diff
Patch 3 (45.92 KB, patch)
2008-08-08 17:27 EDT, Dhananjay Phadke
no flags Details | Diff
Patch 1 (26.13 KB, patch)
2008-08-15 16:48 EDT, Dhananjay Phadke
no flags Details | Diff
Patch 2 (245.60 KB, patch)
2008-08-15 16:49 EDT, Dhananjay Phadke
no flags Details | Diff
Patch 3 (42.55 KB, patch)
2008-08-15 16:50 EDT, Dhananjay Phadke
no flags Details | Diff
Critical Bug Fix to Remove Performance Tweak that can Hang some Systems (1.76 KB, patch)
2008-08-28 22:27 EDT, Tony Camuso
no flags Details | Diff

  None (edit)
Description Dhananjay Phadke 2008-08-05 15:07:46 EDT
+++ This bug was initially created as a clone of Bug #453029 +++

This request is to backport the Netxen driver. This adds support for the next generation Chips & Firmware release from Netxen. This is required to support different OEM vendors.

Talking to the redhat account support staff they requested us to file this bug to get things moving.

Changes:
========
Added support for firmware version: 4.0.xxx
Added support for chip Revision: 0x41 and greater.
Backport bug fixes.

The backported patches are attached to add the support for the above specified features. This is a set of 4 patches.
Comment 1 Dhananjay Phadke 2008-08-05 15:12:06 EDT
Created attachment 313475 [details]
Patch 1 of 4 to support the backporting to support Firmware 4.0.xxx and chip revision >= 0x41

patch(1/4): This is the first of 4 patches required to add the support.
Comment 2 Dhananjay Phadke 2008-08-05 15:13:08 EDT
Created attachment 313476 [details]
Patch 2 of 4 to support the backporting to support Firmware 4.0.xxx and chip revision >= 0x41

patch(2/4): This is the second of 4 patches required to add the support.
Comment 3 Dhananjay Phadke 2008-08-05 15:14:22 EDT
Created attachment 313477 [details]
Patch 3 of 4 to support the backporting to support Firmware 4.0.xxx and chip revision >= 0x41

patch(3/4): This is the third of 4 patches required to add the support.
Comment 4 Dhananjay Phadke 2008-08-05 15:16:44 EDT
Created attachment 313478 [details]
Patch 4 of 4 to support the backporting to support Firmware 4.0.xxx and chip revision >= 0x41

patch(4/4): This is the fourth of 4 patches required to add the support.
Comment 5 Dhananjay Phadke 2008-08-08 17:25:09 EDT
Created attachment 313849 [details]
Patch 1

Invalidated earlier patches, since first patch was already applied in bug 443619.

Submitting reworked patches 2-4 again.
Comment 6 Dhananjay Phadke 2008-08-08 17:26:22 EDT
Created attachment 313850 [details]
Patch 2

Invalidated earlier patches, since first patch was already applied in bug 443619.

Resubmitting reworked patches 2-4.
Comment 7 Dhananjay Phadke 2008-08-08 17:27:16 EDT
Created attachment 313851 [details]
Patch 3

Invalidated earlier patches, since first patch was already applied in bug 443619.

Resubmitting reworked patches 2-4.
Comment 8 Tony Camuso 2008-08-13 15:13:01 EDT

*** This bug has been marked as a duplicate of bug 443619 ***
Comment 9 Dhananjay Phadke 2008-08-14 13:30:02 EDT
Oh oh oh .. what's happening here?

This bug is more recent than bug 443619 and has more patches attached here.

These are not duplicates of each other.

443619 has 1 patch.

457958 has 3 patches on top of it.
Comment 10 Dhananjay Phadke 2008-08-15 16:48:15 EDT
Created attachment 314419 [details]
Patch 1

Following commits backported from netdev-2.6 # upstream-fixes

70081ac55df939363b27c1ebd27c51f510129139
439b454edf551f5a6eb49de6b868015724d275ab
dcd56fdbaeae1008044687b973c4a3e852e8a726
3276fbad8385d8e86d85fad4d86dae669a045c65
dc515f2e0b356981ea0c4581ff0e587aea8b624a
8d74849b91536b126c822968b0f5a1dfd658394d
aa39432326a91a7b819ec3f8d78b05e04b708ce5
d1847a722e79bbfc557755d78f44d3e2c8ae5ea9
f0c88f9c45f39acd017328515890481adcb32607
Comment 11 Dhananjay Phadke 2008-08-15 16:49:46 EDT
Created attachment 314420 [details]
Patch 2

Following commits backported from netdev-2.6 # upstream-fixes

58735567b6de3034c9d0d7e1dcf31614b66de986
cd1f8160e015cd1538701b7de216cbeaefc6b0a8
d9e651bc06690c5a5326e8d019fa7668409bc819
c9fc891f86c062449116fde8826a0ead650e17ac
48bfd1e0fc66b27254ec742b014e689ef218e76c
a97342f9790f14ac20bd5f8b16ed661411fa2e3e
2956640d4aaaecd42bd8ba800cc8c33bfe206b7e
3ce06a320f8d5a3f16960e63021cc372283efffb
e4c93c817ce650401db42db6c869cf7688217ff4
623621b07ebc5b72e0bdfa4a50bbb28f4587de0c
7830b22cbc5f5e804469b74a3fe0d3a8ed88ca31
Comment 12 Dhananjay Phadke 2008-08-15 16:50:51 EDT
Created attachment 314421 [details]
Patch 3

Following commits backported from netdev-2.6 # upstream-fixes

11d89d639352ef27bb3f0e7513dd406284bf034a
092bc57184842229ee41f87d9c408a3f1302aaa6
15eef1e1b718667981da92d2fa18283f181c117c
922c4f2c70c156ac38b4e6affbd30d4b1efd5864
9e410778047d0f2887adb888b44eda4d72d4f67d
9dc28efeee98a4f81d5469d3576f55c5e6d1a5db
11a859e591befae7413505c68dd241ad8e14748c
9ad27643f3a054dff9211bb9938f2323907c2ffe
83821a078a1617e120d76954f455204cec78fe9d
d71e1be8edd355668a12a18660da03ae993dd9df
a70f939338cae650f177ae79562ec44659788bb4
24a7a45511f89959b4f1dc60a66260d09777901a
4255589293b78c4dab324323e12857876b154863
Comment 13 Dhananjay Phadke 2008-08-18 13:16:44 EDT
This patch list was generated and verified on top of code in 104.el5 kernel.

d1847a722e79bbfc557755d78f44d3e2c8ae5ea9 is erroneously reported in bug 443619's commit list. However its diff was really included in patch 1 of this bug.

So, all 3 patches in this bug are valid.
Comment 14 Sandy Garza 2008-08-26 17:11:28 EDT
Has this patch been included into RHKL?

http://marc.info/?l=linux-netdev&m=121926558404174&w=2
Comment 15 Tony Camuso 2008-08-28 22:27:48 EDT
Created attachment 315321 [details]
Critical Bug Fix to Remove Performance Tweak that can Hang some Systems

This is a *CRITICAL* bug fix.

It has been submitted upstream, but has only been there for a day. 

We are very confident that this patch will be accepted upstream. 

Please ACK.
Comment 17 RHEL Product and Program Management 2008-08-29 09:13:41 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 18 Don Zickus 2008-09-05 16:06:41 EDT
in kernel-2.6.18-108.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 19 Sandy Garza 2008-09-09 14:38:56 EDT
Test kernel .108 is not in this link. We tested with the test kernel .107 in this link and found the driver does not get loaded automatically or manually.  We found the driver does not contain the device IDs in alias of modinfo output.
Comment 20 Tony Camuso 2008-09-09 17:47:34 EDT
Sandy, 

I checked the latest RHEL5 git tree, and all the NetXen patches (except MSI-X) are in there. 

Here is the latest test kernel (109). 

http://people.redhat.com/dzickus/el5
Comment 23 Ronald Pacheco 2008-09-30 15:09:13 EDT
*** Bug 249580 has been marked as a duplicate of this bug. ***
Comment 24 Dhananjay Phadke 2008-09-30 15:25:26 EDT
I verified the back ported netxen driver in 115.el5 kernel.
This can be marked fixed.
Comment 25 Chris Ward 2008-12-10 05:26:24 EST
Could you please confirm which arches were tested? Thanks.
Comment 26 Dhananjay Phadke 2008-12-10 11:19:18 EST
We have tested on x86 and x64.
Comment 28 errata-xmlrpc 2009-01-20 15:19:41 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html
Comment 29 Andy Gospodarek 2009-03-24 15:49:10 EDT
*** Bug 475599 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.